{% extends "../../layout.jinja2" %}

{% block content %}
<h1>Last Headers</h1>

{% if form %}
<form class="form-horizontal" method="get" action="{{ request.route_path('list', type='header') }}">
    <div class="card">
        <div class="card-body">
            <fieldset>
                <div class="form-group">
                    {{ form.instrument.label(class="control-label") }}
                    {{ form.instrument(class="form-control") }}
                    {% if form.instrument.errors %}
                        <span class="error help-inline">{{ form.instrument.errors|join(', ') }}</span>
                    {% endif %}
                    {% if form.instrument.description %}
                        <p class="help-block">{{ form.instrument.description|safe }}</p>
                    {% endif %}
                </div>
            </fieldset>
            <button type="submit" class="btn btn-primary" title="Submit">
                <i class="fa fa-search" aria-hidden="true"></i> Submit
            </button>
        </div>
    </div>
</form>
{% endif %}

<table class="table data-table">
    <thead>
        <tr>
            <th>ID</th>
            <th>Instrument</th>
            <th>Type</th>
            <th>Is observation</th>
            <th>Exposures</th>
            <th>File</th>
        </tr>
    </thead>
    <tbody>
    {% for header in headers %}
        <tr>
            <td><a href="{{ request.route_path('detail', type='header', id=header.id) }}">{{ header.id }}</a></td>
            <td><a href="{{ request.route_path('detail', type='instrument', id=header.instrument_id) }}">{{ header.instrument_id }}</a></td>
            <td>{{ header.dp_type }}</td>
            <td>{{ header.is_observation }}</td>
            <td>
                {% for exposure in header.exposures %}
                    <a href="{{ request.route_path('detail', type='exposure', id=exposure.id) }}">{{ exposure.id }}</a>
                    {% if not loop.last %}<br />{% endif %}
                {% endfor %}
            </td>
            <td><a href="{{ request.route_path('detail_raw', type='header', id=header.id) }}" class="btn btn-primary btn-sm" role="button">View</a></td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock content %}